From: Jakub Jirutka <jakub@jirutka.cz>
Date: Fri, 21 Jul 2023 13:22:58 +0200
Subject: [PATCH] Never download gn, ninja and clang, enable verbose logging

--- a/vendor/v8/build.rs
+++ b/vendor/v8/build.rs
@@ -103,7 +103,7 @@
 
   // git submodule update --init --recursive
   let libcxx_src = PathBuf::from("buildtools/third_party/libc++/trunk/src");
-  if !libcxx_src.is_dir() {
+  if false {  // XXX-Patched
     eprintln!(
       "missing source code. Run 'git submodule update --init --recursive'"
     );
@@ -111,7 +111,7 @@
   }
 
   if need_gn_ninja_download() {
-    download_ninja_gn_binaries();
+    panic!("gn and ninja must be installed");  // XXX-Patched
   }
 
   // On windows, rustc cannot link with a V8 debug build.
@@ -139,6 +139,9 @@
     println!("clang_base_path {}", clang_base_path.display());
     gn_args.push(format!("clang_base_path={:?}", clang_base_path));
     gn_args.push("treat_warnings_as_errors=false".to_string());
+  // XXX-Patched
+  } else if true {
+    panic!("no compatible clang found");
   } else {
     println!("using Chromiums clang");
     let clang_base_path = clang_download();
@@ -719,6 +726,7 @@
       .arg(format!("--script-executable={}", python()))
       .arg("gen")
       .arg(&gn_out_dir)
+      .arg("-vv")
       .arg("--args=".to_owned() + &args)
       .stdout(Stdio::inherit())
       .stderr(Stdio::inherit())
